Bug 7606 - Editing a vendor in acq creates a new vendor
Summary: Editing a vendor in acq creates a new vendor
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low blocker (vote)
Assignee: Katrin Fischer
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 7113
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-26 13:43 UTC by Katrin Fischer
Modified: 2019-06-27 09:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7606: Editing a vendor in acq creates a new vendor (2.54 KB, patch)
2012-02-26 14:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7606: Editing a vendor in acq creates a new vendor (2.65 KB, patch)
2012-02-26 21:16 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2012-02-26 13:43:59 UTC
Every time I edit a vendor in acquisition a new vendor with this name and data is created.
Comment 1 Katrin Fischer 2012-02-26 14:19:23 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2012-02-26 21:16:52 UTC
Created attachment 7894 [details] [review]
[SIGNED-OFF] Bug 7606: Editing a vendor in acq creates a new vendor

To test:

Before patch:
- editing a new vendor will create a new vendor

After patch:
- editing a vendor saves changes correctly, no new vendor is created

Also:
- after saving or cancelling an edit page redirects correctly
- adding new vendors works correctly

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>

Followed test plan and all tests pass.
Comment 3 Marcel de Rooy 2012-02-27 09:00:30 UTC
QA Comment: Code looks good. Incrementing status.
Comment 4 Paul Poulain 2012-02-27 10:27:00 UTC
This patch is a follow-up of 7113 that is not in 3.6 afaik
Comment 5 Katrin Fischer 2012-03-17 15:59:18 UTC
Follow-up for 7113 - works in master.